| Version: 3.2.5

Public Member Functions | List of all members
wxTransform2D Class Referenceabstract

`#include <wx/geometry.h>`

## Public Member Functions

virtual | ~wxTransform2D ()
virtual void | Transform (wxPoint2DInt *pt) const =0
virtual void | Transform (wxRect2DInt *r) const
virtual wxPoint2DInt | Transform (const wxPoint2DInt &pt) const
virtual wxRect2DInt | Transform (const wxRect2DInt &r) const
virtual void | InverseTransform (wxPoint2DInt *pt) const =0
virtual void | InverseTransform (wxRect2DInt *r) const
virtual wxPoint2DInt | InverseTransform (const wxPoint2DInt &pt) const
virtual wxRect2DInt | InverseTransform (const wxRect2DInt &r) const

## Constructor & Destructor Documentation

## ◆ ~wxTransform2D()

virtual wxTransform2D::~wxTransform2D | ( |  | ) |

virtual

## Member Function Documentation

## ◆ InverseTransform() [1/4]

virtual wxPoint2DInt wxTransform2D::InverseTransform | ( | const wxPoint2DInt & | pt | ) | const

virtual

## ◆ InverseTransform() [2/4]

virtual wxRect2DInt wxTransform2D::InverseTransform | ( | const wxRect2DInt & | r | ) | const

virtual

## ◆ InverseTransform() [3/4]

virtual void wxTransform2D::InverseTransform | ( | wxPoint2DInt * | pt | ) | const

pure virtual

## ◆ InverseTransform() [4/4]

virtual void wxTransform2D::InverseTransform | ( | wxRect2DInt * | r | ) | const

virtual

## ◆ Transform() [1/4]

virtual wxPoint2DInt wxTransform2D::Transform | ( | const wxPoint2DInt & | pt | ) | const

virtual

## ◆ Transform() [2/4]

virtual wxRect2DInt wxTransform2D::Transform | ( | const wxRect2DInt & | r | ) | const

virtual

## ◆ Transform() [3/4]

virtual void wxTransform2D::Transform | ( | wxPoint2DInt * | pt | ) | const

pure virtual

## ◆ Transform() [4/4]

virtual void wxTransform2D::Transform | ( | wxRect2DInt * | r | ) | const

virtual